aboutsummaryrefslogtreecommitdiff
path: root/networking/ssl_helper-wolfssl/00cfg-wolfssl-3.6.8
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2015-10-07 01:39:40 +0200
committerDenys Vlasenko <vda.linux@googlemail.com>2015-10-07 01:39:40 +0200
commit1c6c670ed44a77ab4784ea0d4ac5411d7b0648d8 (patch)
tree477c1daf40605269b4ee5912c5402d3f9e60aabc /networking/ssl_helper-wolfssl/00cfg-wolfssl-3.6.8
parent3b650c1e7b0bcbb4dfebab6fd87449e6b1e0b788 (diff)
downloadbusybox-1c6c670ed44a77ab4784ea0d4ac5411d7b0648d8.tar.gz
wget: make openssl/ssl_helper choice configurable
I got sick of not being able to wget a https file... Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'networking/ssl_helper-wolfssl/00cfg-wolfssl-3.6.8')
-rwxr-xr-xnetworking/ssl_helper-wolfssl/00cfg-wolfssl-3.6.822
1 files changed, 22 insertions, 0 deletions
diff --git a/networking/ssl_helper-wolfssl/00cfg-wolfssl-3.6.8 b/networking/ssl_helper-wolfssl/00cfg-wolfssl-3.6.8
new file mode 100755
index 000000000..27d0c41ee
--- /dev/null
+++ b/networking/ssl_helper-wolfssl/00cfg-wolfssl-3.6.8
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# How to configure & build a static wolfssl-3.6.8 library
+# suitable for static build of ssl_helper.
+
+export CC="x86_64-gcc"
+export CFLAGS="\
+-Os \
+-static \
+-fomit-frame-pointer \
+-falign-functions=1 -falign-labels=1 -falign-loops=1 -falign-jumps=1 \
+-ffunction-sections -fdata-sections \
+"
+
+./configure \
+ --enable-static \
+ --enable-singlethreaded \
+ --disable-shared \
+|| exit $?
+
+make
+exit $?